Loading...
Searching...
No Matches
juce::ARAEditorView Class Reference

## Detailed Description

Base class for fulfilling the ARAEditorView role as described in the ARA SDK.

Instances of this class are constructed by the DocumentController. If you are subclassing ARAEditorView, make sure to call the base class implementation of overridden functions.

The documentation for this class was generated from the following file:

- juce_audio_processors_headless/utilities/ARA/juce_ARAPlugInInstanceRoles.h

Inherits ARA::PlugIn::EditorView.

## Classes

class | Listener
| A base class for listeners that want to know about changes to an ARAEditorView object. More...

## Public Member Functions

template<typename RegionSequence_t = ARARegionSequence>
const std::vector< RegionSequence_t * > & | getHiddenRegionSequences () const noexcept
void | doNotifySelection (const ARA::PlugIn::ViewSelection *currentSelection) noexcept override
void | doNotifyHideRegionSequences (const std::vector< ARA::PlugIn::RegionSequence * > &regionSequences) noexcept override
void | addListener (Listener *l)
| Subscribe `l` to notified by changes to the object.
void | removeListener (Listener *l)
| Unsubscribe `l` from object notifications.

## Member Functions

## getHiddenRegionSequences()

template<typename RegionSequence_t = ARARegionSequence>

const std::vector< RegionSequence_t * > & juce::ARAEditorView::getHiddenRegionSequences | ( |  | ) | const

inline noexcept

## doNotifySelection()

void juce::ARAEditorView::doNotifySelection | ( | const ARA::PlugIn::ViewSelection * | currentSelection | ) |

override noexcept

## doNotifyHideRegionSequences()

void juce::ARAEditorView::doNotifyHideRegionSequences | ( | const std::vector< ARA::PlugIn::RegionSequence * > & | regionSequences | ) |

override noexcept

## addListener()

void juce::ARAEditorView::addListener | ( | Listener * | l | ) |

Subscribe `l` to notified by changes to the object.

Parameters

  l | The listener instance.

## removeListener()

void juce::ARAEditorView::removeListener | ( | Listener * | l | ) |

Unsubscribe `l` from object notifications.

Parameters

  l | The listener instance.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited